jpeg_top_tb Module Reference
Inheritance diagram for jpeg_top_tb:
[legend]
Collaboration diagram for jpeg_top_tb:
[legend]

## Static Public Member Functions

## Always Constructs

JPEG | ( JPEG_bitstream or data_ready )

## Public Attributes

## Signals

reg | end_of_file_signal
reg[ 23 : 0 ] | data_in
reg | clk
reg | rst
reg | enable
wire[ 31 : 0 ] | JPEG_bitstream
wire | data_ready
wire[ 4 : 0 ] | end_of_file_bitstream_count
wire | eof_data_partial_ready

## Module Instances

jpeg_top::UUT | Module jpeg_top

## Detailed Description

Definition at line 37 of file jpeg_top_TB.v.

## Member Function Documentation

JPEG | ( |  | JPEG_bitstream or data_ready
| ) |  |

Always Construct

Definition at line 19097 of file jpeg_top_TB.v.

## Member Data Documentation

end_of_file_signal

Signal

Definition at line 40 of file jpeg_top_TB.v.

data_in

Signal

Definition at line 41 of file jpeg_top_TB.v.

clk

Signal

Definition at line 42 of file jpeg_top_TB.v.

rst

Signal

Definition at line 43 of file jpeg_top_TB.v.

enable

Signal

Definition at line 44 of file jpeg_top_TB.v.

JPEG_bitstream

Signal

Definition at line 45 of file jpeg_top_TB.v.

data_ready

Signal

Definition at line 46 of file jpeg_top_TB.v.

end_of_file_bitstream_count

Signal

Definition at line 47 of file jpeg_top_TB.v.

eof_data_partial_ready

Signal

Definition at line 48 of file jpeg_top_TB.v.

jpeg_top UUT

Module Instance

Definition at line 50 of file jpeg_top_TB.v.

The documentation for this Module was generated from the following files:

- code/jpeg_top_TB.v